<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.MusicGroupSubjectPlanMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.MusicGroupSubjectPlan">
        <id column="id_" property="id" />
        <result column="music_group_id_" property="musicGroupId" />
        <result column="subject_id_" property="subjectId" />
        <result column="expected_student_num_" property="expectedStudentNum" />
        <result column="apply_student_num_" property="applyStudentNum" />
        <result column="fee_" property="fee" />
        <result column="kit_group_purchase_type_" property="kitGroupPurchaseType" />
        <result column="deposit_fee_" property="depositFee" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, music_group_id_, subject_id_, expected_student_num_, apply_student_num_, fee_, kit_group_purchase_type_, deposit_fee_, create_time_, update_time_
    </sql>

</mapper>
